#!/usr/bin/env python3
# -*- coding: utf-8 -*-
"""
Created on Thu Apr  9 16:33:05 2020

@author: ouin-j
 Pour extraire plusieurs pages situées les unes à la suite des autres :

pdftk mon-document.pdf cat 2-5 output pages2-a-5-de-mon-document.pdf
pdftk fichier1.pdf cat 3-5 output fichier2.pdf

pdfjam --booklet 'false' --landscape --a3paper --outfile fichiercibleA3.pdf --signature '4' fichierdepartA4 
pdfjam fichier1.pdf '{},2-' fichier2.pdf '10,3-6' --outfile resultat.pdf
pdfjam A4.pdf '1-8' --outfile resultat.pdf

"""
import sys
# subprocess : seulement depuis la version 3.x de Python
import subprocess 


if sys.argv[1] == "?" :
    print("[NomFichierA4] [NomFichierA3RV] ")
    sys.exit()
    
NomFichierA4 = sys.argv[1]
NomFichierA3 = sys.argv[2]


subprocess.call(["pdfjam","--booklet", 'false',"--landscape","--a3paper","--outfile",NomFichierA3,"--signature",'4',NomFichierA4])


"""
#/bin/bash
# Saisir : bash 4A4-1A3.sh fichier_a_decouper.pdf fichier_en_A3.pdf
pdfjam --booklet 'false' --landscape --a3paper --outfile $2 --signature '4' $1 
"""

